package meerkat.voting.gui.panels.welcome_splash;

import javafx.fxml.FXML;
import javafx.scene.input.MouseEvent;
import meerkat.voting.gui.managment.TwoWayNode;

/**
 * Created by Vladimir Eliezer Tokarev on 8/27/2016.
 * WelcomeSplashController handle the behavior of welcome splash class
 */
public class WelcomeSplashController extends TwoWayNode {

    @FXML
    private void StartVotingProcess(MouseEvent mousePressed) {
        this.currentStage.close();
        this.currentStage.setScene(this.next.GetCurrentScene());
        this.next.UpdateNode();
        this.currentStage.show();
    }

    @Override
    public void UpdateNode() {
        // There is no questions relevant to this panel so this method does nothing
    }
}
